Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_oce.F90	(revision 4147)
@@ -13,19 +13,20 @@
    PUBLIC
 
-   !                                                  !!* Namelist namdyn_ldf : lateral mixing *
-   LOGICAL , PUBLIC ::   ln_dynldf_lap   = .TRUE.      !: laplacian operator
-   LOGICAL , PUBLIC ::   ln_dynldf_bilap = .FALSE.     !: bilaplacian operator
-   LOGICAL , PUBLIC ::   ln_dynldf_level = .FALSE.     !: iso-level direction
-   LOGICAL , PUBLIC ::   ln_dynldf_hor   = .TRUE.      !: horizontal (geopotential) direction
-   LOGICAL , PUBLIC ::   ln_dynldf_iso   = .FALSE.     !: iso-neutral direction
-   REAL(wp), PUBLIC ::   rn_ahm_0_lap    = 40000._wp   !: lateral laplacian eddy viscosity (m2/s)
-   REAL(wp), PUBLIC ::   rn_ahmb_0       =     0._wp   !: lateral laplacian background eddy viscosity (m2/s)
-   REAL(wp), PUBLIC ::   rn_ahm_0_blp    =     0._wp   !: lateral bilaplacian eddy viscosity (m4/s)
+   !                                       !!* Namelist namdyn_ldf : lateral mixing *
+   LOGICAL , PUBLIC ::   ln_dynldf_lap      !: laplacian operator
+   LOGICAL , PUBLIC ::   ln_dynldf_bilap    !: bilaplacian operator
+   LOGICAL , PUBLIC ::   ln_dynldf_level    !: iso-level direction
+   LOGICAL , PUBLIC ::   ln_dynldf_hor      !: horizontal (geopotential) direction
+   LOGICAL , PUBLIC ::   ln_dynldf_iso      !: iso-neutral direction
+   REAL(wp), PUBLIC ::   rn_ahm_0_lap       !: lateral laplacian eddy viscosity (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahmb_0          !: lateral laplacian background eddy viscosity (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahm_0_blp       !: lateral bilaplacian eddy viscosity (m4/s)
    REAL(wp), PUBLIC ::   ahm0, ahmb0, ahm0_blp         !: OLD namelist names
-   REAL(wp), PUBLIC ::   rn_cmsmag_1     =     3._wp   !: constant in laplacian Smagorinsky viscosity
-   REAL(wp), PUBLIC ::   rn_cmsmag_2     =     3._wp   !: constant in bilaplacian Smagorinsky viscosity
-   REAL(wp), PUBLIC ::   rn_cmsh         =     1._wp   !: 1 or 0 , if 0 -use only shear for Smagorinsky viscosity
-   REAL(wp), PUBLIC ::   rn_ahm_m_blp    = -1.e12_wp   !: upper limit for bilap  abs(ahm) < min( dx^4/128rdt, rn_ahm_m_blp)
-   REAL(wp), PUBLIC ::   rn_ahm_m_lap    =  40000_wp   !: upper limit for lap  ahm < min(dx^2/16rdt, rn_ahm_m_lap)
+   REAL(wp), PUBLIC ::   rn_cmsmag_1        !: constant in laplacian Smagorinsky viscosity
+   REAL(wp), PUBLIC ::   rn_cmsmag_2        !: constant in bilaplacian Smagorinsky viscosity
+   REAL(wp), PUBLIC ::   rn_cmsh            !: 1 or 0 , if 0 -use only shear for Smagorinsky viscosity
+   REAL(wp), PUBLIC ::   rn_ahm_m_blp       !: upper limit for bilap  abs(ahm) < min( dx^4/128rdt, rn_ahm_m_blp)
+   REAL(wp), PUBLIC ::   rn_ahm_m_lap       !: upper limit for lap  ahm < min(dx^2/16rdt, rn_ahm_m_lap)
+
    INTEGER , PUBLIC ::   nkahm_smag      =  0          !: 
 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 4147)
@@ -62,4 +62,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio               ! temporary integer
+      INTEGER ::   ios                  ! temporary integer
       LOGICAL ::   ll_print = .FALSE.   ! =T print eddy coef. in numout
       !! 
@@ -76,6 +77,13 @@
       ! =============================================
     
-      REWIND( numnam )                  ! Read Namelist namtra_ldf : Lateral physics on tracers
-      READ  ( numnam, namtra_ldf )
+
+      REWIND( numnam_ref )              ! Namelist namtra_ldf in reference namelist : Lateral physics on tracers
+      READ  ( numnam_ref, namtra_ldf, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_ldf in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namtra_ldf in configuration namelist : Lateral physics on tracers
+      READ  ( numnam_cfg, namtra_ldf, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_ldf in configuration namelist', lwp )
+      WRITE ( numond, namtra_ldf )
 
       IF(lwp) THEN                      ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_c2d.h90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_c2d.h90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_c2d.h90	(revision 4147)
@@ -29,7 +29,4 @@
       !
       INTEGER ::   ji, jj   ! dummy loop indices
-# if defined key_orca_r4
-      INTEGER :: i1, i2, j1, j2
-# endif
       REAL(wp) ::   za00, zd_max, zeumax, zevmax, zetmax
       !!----------------------------------------------------------------------
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_oce.F90	(revision 4147)
@@ -18,24 +18,24 @@
    !! Lateral eddy diffusivity coefficients (tracers)
    !!----------------------------------------------------------------------
-   !                                                !!* Namelist namtra_ldf : lateral mixing *
-   LOGICAL , PUBLIC ::   ln_traldf_lap   = .TRUE.    !: laplacian operator
-   LOGICAL , PUBLIC ::   ln_traldf_bilap = .FALSE.   !: bilaplacian operator
-   LOGICAL , PUBLIC ::   ln_traldf_level = .FALSE.   !: iso-level direction
-   LOGICAL , PUBLIC ::   ln_traldf_hor   = .FALSE.   !: horizontal (geopotential) direction
-   LOGICAL , PUBLIC ::   ln_traldf_iso   = .TRUE.    !: iso-neutral direction
-   LOGICAL , PUBLIC ::   ln_traldf_grif  = .FALSE.   !: griffies skew flux
-   LOGICAL , PUBLIC ::   ln_traldf_gdia  = .FALSE.   !: griffies skew flux streamfunction diagnostics
-   REAL(wp), PUBLIC ::   rn_aht_0        = 2000._wp  !: lateral eddy diffusivity (m2/s)
-   REAL(wp), PUBLIC ::   rn_ahtb_0       =    0._wp  !: lateral background eddy diffusivity (m2/s)
-   REAL(wp), PUBLIC ::   rn_aeiv_0       = 2000._wp  !: eddy induced velocity coefficient (m2/s)
-   REAL(wp), PUBLIC ::   rn_slpmax       = 0.01_wp   !: slope limit
-   REAL(wp), PUBLIC ::   rn_chsmag       = 1._wp     !:  multiplicative factor in Smagorinsky diffusivity
-   REAL(wp), PUBLIC ::   rn_smsh         = 1._wp     !:  Smagorinsky diffusivity: = 0 - use only sheer
-   REAL(wp), PUBLIC ::   rn_aht_m        = 2000._wp  !:  upper limit or stability criteria for lateral eddy diffusivity (m2/s)
+   !                                     !!* Namelist namtra_ldf : lateral mixing *
+   LOGICAL , PUBLIC ::   ln_traldf_lap    !: laplacian operator
+   LOGICAL , PUBLIC ::   ln_traldf_bilap  !: bilaplacian operator
+   LOGICAL , PUBLIC ::   ln_traldf_level  !: iso-level direction
+   LOGICAL , PUBLIC ::   ln_traldf_hor    !: horizontal (geopotential) direction
+   LOGICAL , PUBLIC ::   ln_traldf_iso    !: iso-neutral direction
+   LOGICAL , PUBLIC ::   ln_traldf_grif   !: griffies skew flux
+   LOGICAL , PUBLIC ::   ln_traldf_gdia   !: griffies skew flux streamfunction diagnostics
+   REAL(wp), PUBLIC ::   rn_aht_0         !: lateral eddy diffusivity (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahtb_0        !: lateral background eddy diffusivity (m2/s)
+   REAL(wp), PUBLIC ::   rn_aeiv_0        !: eddy induced velocity coefficient (m2/s)
+   REAL(wp), PUBLIC ::   rn_slpmax        !: slope limit
+   REAL(wp), PUBLIC ::   rn_chsmag        !:  multiplicative factor in Smagorinsky diffusivity
+   REAL(wp), PUBLIC ::   rn_smsh          !:  Smagorinsky diffusivity: = 0 - use only sheer
+   REAL(wp), PUBLIC ::   rn_aht_m         !:  upper limit or stability criteria for lateral eddy diffusivity (m2/s)
 
    REAL(wp), PUBLIC ::   aht0, ahtb0, aeiv0         !!: OLD namelist names
 
-   LOGICAL , PUBLIC ::   ln_triad_iso    = .FALSE.   !: calculate triads twice
-   LOGICAL , PUBLIC ::   ln_botmix_grif  = .FALSE.   !: mixing on bottom
+   LOGICAL , PUBLIC ::   ln_triad_iso    !: calculate triads twice
+   LOGICAL , PUBLIC ::   ln_botmix_grif  !: mixing on bottom
    LOGICAL , PUBLIC ::   l_grad_zps      = .FALSE.   !: special treatment for Horz Tgradients w partial steps 
 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/OBC/obc_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 4147)
@@ -23,23 +23,23 @@
    !!----------------------------------------------------------------------
    !
-   !                                            !!* Namelist namobc: open boundary condition *
-   INTEGER           ::   nn_obcdta   = 0        !:  = 0 use the initial state as obc data
-   !                                             !   = 1 read obc data in obcxxx.dta files
-   CHARACTER(len=20) ::   cn_obcdta   = 'annual' !: set to annual  if obc datafile hold 1 year of data
-   !                                             !  set to monthly if obc datafile hold 1 month of data
-   LOGICAL           ::   ln_obc_clim = .true.   !:  obc data files are climatological
-   LOGICAL           ::   ln_obc_fla  = .false.  !:  Flather open boundary condition not used
-   LOGICAL           ::   ln_vol_cst  = .true.   !:  Conservation of the whole volume
-   REAL(wp)          ::   rn_dpein    =  1.      !: damping time scale for inflow at East open boundary
-   REAL(wp)          ::   rn_dpwin    =  1.      !:    "                      "   at West open boundary
-   REAL(wp)          ::   rn_dpsin    =  1.      !:    "                      "   at South open boundary
-   REAL(wp)          ::   rn_dpnin    =  1.      !:    "                      "   at North open boundary
-   REAL(wp)          ::   rn_dpeob    = 15.      !: damping time scale for the climatology at East open boundary
-   REAL(wp)          ::   rn_dpwob    = 15.      !:    "                           "       at West open boundary
-   REAL(wp)          ::   rn_dpsob    = 15.      !:    "                           "       at South open boundary
-   REAL(wp)          ::   rn_dpnob    = 15.      !:    "                           "       at North open boundary
-   REAL(wp)          ::   rn_volemp   =  1.      !: = 0 the total volume will have the variability of the 
-   !                                             !      surface Flux E-P else (volemp = 1) the volume will be constant
-   !                                             !  = 1 the volume will be constant during all the integration.
+   !                                 !!* Namelist namobc: open boundary condition *
+   INTEGER           ::   nn_obcdta   !:  = 0 use the initial state as obc data
+   !                                  !   = 1 read obc data in obcxxx.dta files
+   CHARACTER(len=20) ::   cn_obcdta   !: set to annual  if obc datafile hold 1 year of data
+   !                                  !  set to monthly if obc datafile hold 1 month of data
+   LOGICAL           ::   ln_obc_clim !:  obc data files are climatological
+   LOGICAL           ::   ln_obc_fla  !:  Flather open boundary condition not used
+   LOGICAL           ::   ln_vol_cst  !:  Conservation of the whole volume
+   REAL(wp)          ::   rn_dpein    !: damping time scale for inflow at East open boundary
+   REAL(wp)          ::   rn_dpwin    !:    "                      "   at West open boundary
+   REAL(wp)          ::   rn_dpsin    !:    "                      "   at South open boundary
+   REAL(wp)          ::   rn_dpnin    !:    "                      "   at North open boundary
+   REAL(wp)          ::   rn_dpeob    !: damping time scale for the climatology at East open boundary
+   REAL(wp)          ::   rn_dpwob    !:    "                           "       at West open boundary
+   REAL(wp)          ::   rn_dpsob    !:    "                           "       at South open boundary
+   REAL(wp)          ::   rn_dpnob    !:    "                           "       at North open boundary
+   REAL(wp)          ::   rn_volemp   !: = 0 the total volume will have the variability of the 
+   !                                  !      surface Flux E-P else (volemp = 1) the volume will be constant
+   !                                  !  = 1 the volume will be constant during all the integration.
 
    !                                  !!! OLD non-DOCTOR name of namelist variables
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/OBC/obcini.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/OBC/obcini.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/OBC/obcini.F90	(revision 4147)
@@ -57,4 +57,5 @@
       !!
       INTEGER  ::   ji, jj, istop , inumfbc
+      INTEGER  ::   ios                     ! Local integer output status for namelist read
       INTEGER, DIMENSION(4) ::   icorner
       REAL(wp), DIMENSION(2) ::   ztestmask
@@ -66,6 +67,12 @@
       !!----------------------------------------------------------------------
 
-      REWIND( numnam )              ! Namelist namobc : open boundaries
-      READ  ( numnam, namobc )
+      REWIND( numnam_ref )              ! Namelist namobc in reference namelist : Open boundaries
+      READ  ( numnam_ref, namobc, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namobc in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namobc in configuration namelist : Open boundaries
+      READ  ( numnam_cfg, namobc, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namobc in configuration namelist', lwp )
+      WRITE ( numond, namobc )
 
       ! convert DOCTOR namelist name into the OLD names
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 4147)
@@ -197,4 +197,5 @@
       INTEGER :: ji
       INTEGER :: jset
+      INTEGER :: ios                 ! Local integer output status for namelist read
       LOGICAL :: lmask(MaxNumFiles), ll_u3d, ll_v3d
 
@@ -202,66 +203,19 @@
       ! Read namelist parameters
       !-----------------------------------------------------------------------
-      ! default values already set except:
-
-      ln_t3d = .FALSE.
-      ln_s3d = .FALSE.
-      ln_vel3d = .FALSE.
-      ln_sla = .FALSE.
-      ln_altbias = .FALSE.
-      ln_ssh = .FALSE.
-      ln_sst = .FALSE.
-      ln_seaice = .FALSE.
-      ln_reysst = .FALSE.
-      ln_ghrsst = .FALSE.
-      ln_sss = .FALSE.
-      ln_profb = .FALSE.
-      ln_ena = .TRUE.
-      ln_cor = .FALSE.
-      ln_sladt = .TRUE.
-      ln_slafb = .FALSE.
-      ln_sstfb = .FALSE.
-      ln_velavcur = .FALSE.
-      ln_velhrcur = .FALSE.
-      ln_velavadcp = .FALSE.
-      ln_velhradcp = .FALSE.
-      ln_velfb = .FALSE.
-      ln_nea = .FALSE.
-      ln_grid_search_lookup = .FALSE.
-      ln_grid_global = .FALSE.
-      ln_s_at_t = .TRUE.
-      grid_search_file = 'xypos'
-      bias_file='bias.nc'
-      enactfiles(:) = ''
-      coriofiles(:) = ''
-      profbfiles(:) = ''
-      slafilesact(:) = ''
-      slafilespas(:) = ''
-      slafbfiles(:) = ''
-      sstfiles(:)   = ''
-      sstfbfiles(:) = ''
-      seaicefiles(:) = ''
+
       velcurfiles(:) = ''
       veladcpfiles(:) = ''
-      velavcurfiles(:) = ''
-      velhrcurfiles(:) = ''
-      velavadcpfiles(:) = ''
-      velhradcpfiles(:) = ''
-      velfbfiles(:) = ''
-      reysstname = 'sst_yYYYYmMM.nc'
-      reysstfmt = 'monthly'
-      endailyavtypes(:) = -1
-      endailyavtypes(1) = 820
-      ln_profb_ena(:) = .FALSE.
-      ln_profb_enatim(:) = .TRUE.
-      ln_velfb_av(:) = .FALSE.
-      ln_ignmis = .FALSE.
       CALL ini_date( dobsini )
       CALL fin_date( dobsend )
-      n1dint = 1
-      n2dint = 3
-
+ 
       ! Read Namelist namobs : control observation diagnostics
-      REWIND( numnam )
-      READ  ( numnam, namobs )
+      REWIND( numnam_ref )              ! Namelist namobs in reference namelist : Diagnostic: control observation
+      READ  ( numnam_ref, namobs, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namobs in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namobs in configuration namelist : Diagnostic: control observation
+      READ  ( numnam_cfg, namobs, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namobs in configuration namelist', lwp )
+      WRITE ( numond, namobs )
 
       ! Count number of files for each type
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 4147)
@@ -36,14 +36,14 @@
    REAL(wp) ::   rmue   = 0.40    !  cosine of local solar altitude
 
-   !                               !!* namelist namsbc_alb
-   REAL(wp) ::   rn_cloud  = 0.06   !  cloudiness effect on snow or ice albedo (Grenfell & Perovich, 1984)
+   !                             !!* namelist namsbc_alb
+   REAL(wp) ::   rn_cloud         !  cloudiness effect on snow or ice albedo (Grenfell & Perovich, 1984)
 #if defined key_lim3
-   REAL(wp) ::   rn_albice = 0.53   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
+   REAL(wp) ::   rn_albice        !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
 #else
-   REAL(wp) ::   rn_albice = 0.50   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
+   REAL(wp) ::   rn_albice        !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
 #endif
-   REAL(wp) ::   rn_alphd  = 0.80   !  coefficients for linear interpolation used to compute
-   REAL(wp) ::   rn_alphdi = 0.72   !  albedo between two extremes values (Pyane, 1972)
-   REAL(wp) ::   rn_alphc  = 0.65   ! 
+   REAL(wp) ::   rn_alphd         !  coefficients for linear interpolation used to compute
+   REAL(wp) ::   rn_alphdi        !  albedo between two extremes values (Pyane, 1972)
+   REAL(wp) ::   rn_alphc         ! 
 
    !!----------------------------------------------------------------------
@@ -199,4 +199,5 @@
       !! ** Method  :   Read the namelist namsbc_alb
       !!----------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namsbc_alb/ rn_cloud, rn_albice, rn_alphd, rn_alphdi, rn_alphc
       !!----------------------------------------------------------------------
@@ -204,6 +205,12 @@
       albd_init = 1                     ! indicate that the initialization has been done
       !
-      REWIND( numnam )                  ! Read Namelist namsbc_alb : albedo parameters
-      READ  ( numnam, namsbc_alb )
+      REWIND( numnam_ref )              ! Namelist namsbc_alb in reference namelist : Albedo parameters
+      READ  ( numnam_ref, namsbc_alb, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_alb in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsbc_alb in configuration namelist : Albedo parameters
+      READ  ( numnam_cfg, namsbc_alb, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_alb in configuration namelist', lwp )
+      WRITE ( numond, namsbc_alb )
       !
       IF(lwp) THEN                      ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90	(revision 4147)
@@ -87,5 +87,4 @@
       TYPE(FLD_N), DIMENSION(1) ::   slf_i     ! array of namelist informations on the TC position
       TYPE(FLD_N) ::   sn_tc                   ! informations about the fields to be read
-      !      NAMELIST/namsbc_tc/ cn_dir , sn_tc
       !!--------------------------------------------------------------------
 
@@ -103,7 +102,5 @@
          sn_tc = FLD_N( 'tc_track',     6     ,  'tc'     ,  .true.    , .false. ,   'yearly'  , ''       , ''         )
          !
-         !         REWIND( numnam )                    ! ... read in namlist namsbc_core
-         !         READ  ( numnam, namsbc_tc )
-         !
+         !  Namelist is read in namsbc_core
          ! set sf structure
          ALLOCATE( sf(1), STAT=ierror )
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 4147)
@@ -28,28 +28,29 @@
    !!           Namelist for the Ocean Surface Boundary Condition
    !!----------------------------------------------------------------------
-   !                                            !!* namsbc namelist *
-   LOGICAL , PUBLIC ::   ln_ana      = .FALSE.   !: analytical boundary condition flag
-   LOGICAL , PUBLIC ::   ln_flx      = .FALSE.   !: flux      formulation
-   LOGICAL , PUBLIC ::   ln_blk_clio = .FALSE.   !: CLIO bulk formulation
-   LOGICAL , PUBLIC ::   ln_blk_core = .FALSE.   !: CORE bulk formulation
-   LOGICAL , PUBLIC ::   ln_blk_mfs  = .FALSE.   !: MFS  bulk formulation
-   LOGICAL , PUBLIC ::   ln_cpl      = .FALSE.   !: coupled   formulation (overwritten by key_sbc_coupled )
-   LOGICAL , PUBLIC ::   ln_dm2dc    = .FALSE.   !: Daily mean to Diurnal Cycle short wave (qsr)
+   !                                   !!* namsbc namelist *
+   LOGICAL , PUBLIC ::   ln_ana         !: analytical boundary condition flag
+   LOGICAL , PUBLIC ::   ln_flx         !: flux      formulation
+   LOGICAL , PUBLIC ::   ln_blk_clio    !: CLIO bulk formulation
+   LOGICAL , PUBLIC ::   ln_blk_core    !: CORE bulk formulation
+   LOGICAL , PUBLIC ::   ln_blk_mfs     !: MFS  bulk formulation
+   LOGICAL , PUBLIC ::   ln_cpl         !: coupled   formulation (overwritten by key_sbc_coupled )
+   LOGICAL , PUBLIC ::   ln_dm2dc       !: Daily mean to Diurnal Cycle short wave (qsr)
    LOGICAL , PUBLIC ::   ln_rnf      = .FALSE.   !: runoffs / runoff mouths
-   LOGICAL , PUBLIC ::   ln_ssr      = .FALSE.   !: Sea Surface restoring on SST and/or SSS      
-   LOGICAL , PUBLIC ::   ln_apr_dyn  = .FALSE.   !: Atmospheric pressure forcing used on dynamics (ocean & ice)
-   LOGICAL , PUBLIC ::   ln_icebergs = .FALSE.   !: Icebergs
-   INTEGER , PUBLIC ::   nn_ice      = 0         !: flag for ice in the surface boundary condition (=0/1/2/3)
-   INTEGER , PUBLIC ::   nn_ice_embd = 0         !: flag for levitating/embedding sea-ice in the ocean
+   LOGICAL , PUBLIC ::   ln_ssr         !: Sea Surface restoring on SST and/or SSS      
+   LOGICAL , PUBLIC ::   ln_apr_dyn     !: Atmospheric pressure forcing used on dynamics (ocean & ice)
+   INTEGER , PUBLIC ::   nn_ice         !: flag for ice in the surface boundary condition (=0/1/2/3)
+   INTEGER , PUBLIC ::   nn_ice_embd    !: flag for levitating/embedding sea-ice in the ocean
    !                                             !: =0 levitating ice (no mass exchange, concentration/dilution effect)
    !                                             !: =1 levitating ice with mass and salt exchange but no presure effect
    !                                             !: =2 embedded sea-ice (full salt and mass exchanges and pressure)
-   INTEGER , PUBLIC ::   nn_fwb      = 0         !: FreshWater Budget: 
+   INTEGER , PUBLIC ::   nn_fwb         !: FreshWater Budget: 
    !                                             !:  = 0 unchecked 
    !                                             !:  = 1 global mean of e-p-r set to zero at each nn_fsbc time step
    !                                             !:  = 2 annual global mean of e-p-r set to zero
-   LOGICAL , PUBLIC ::   ln_wave     = .FALSE.   !: true if some coupling with wave model
-   LOGICAL , PUBLIC ::   ln_cdgw     = .FALSE.   !: true if neutral drag coefficient from wave model
-   LOGICAL , PUBLIC ::   ln_sdw      = .FALSE.   !: true if 3d stokes drift from wave model
+   LOGICAL , PUBLIC ::   ln_wave        !: true if some coupling with wave model
+   LOGICAL , PUBLIC ::   ln_cdgw        !: true if neutral drag coefficient from wave model
+   LOGICAL , PUBLIC ::   ln_sdw         !: true if 3d stokes drift from wave model
+   !
+   LOGICAL , PUBLIC ::   ln_icebergs    !: Icebergs
 
    !!----------------------------------------------------------------------
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcana.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcana.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcana.F90	(revision 4147)
@@ -27,12 +27,12 @@
    PUBLIC   sbc_gyre   ! routine called in sbcmod module
 
-   !                                !!* Namelist namsbc_ana *
-   INTEGER  ::   nn_tau000 = 1       ! nb of time-step during which the surface stress
-   !                                 ! increase from 0 to its nominal value 
-   REAL(wp) ::   rn_utau0  = 0._wp   ! constant wind stress value in i-direction
-   REAL(wp) ::   rn_vtau0  = 0._wp   ! constant wind stress value in j-direction
-   REAL(wp) ::   rn_qns0   = 0._wp   ! non solar heat flux
-   REAL(wp) ::   rn_qsr0   = 0._wp   !     solar heat flux
-   REAL(wp) ::   rn_emp0   = 0._wp   ! net freshwater flux
+   !                       !!* Namelist namsbc_ana *
+   INTEGER  ::   nn_tau000  ! nb of time-step during which the surface stress
+   !                        ! increase from 0 to its nominal value 
+   REAL(wp) ::   rn_utau0   ! constant wind stress value in i-direction
+   REAL(wp) ::   rn_vtau0   ! constant wind stress value in j-direction
+   REAL(wp) ::   rn_qns0    ! non solar heat flux
+   REAL(wp) ::   rn_qsr0    !     solar heat flux
+   REAL(wp) ::   rn_emp0    ! net freshwater flux
    
    !! * Substitutions
@@ -64,4 +64,5 @@
       INTEGER, INTENT(in) ::   kt       ! ocean time step
       !
+      INTEGER  ::   ios                   ! Local integer output status for namelist read
       REAL(wp) ::   zfacto                ! local scalar
       REAL(wp) ::   zrhoa  = 1.22_wp      ! Air density kg/m3
@@ -74,6 +75,12 @@
       IF( kt == nit000 ) THEN
          !
-         REWIND( numnam )                    ! Read Namelist namsbc : surface fluxes
-         READ  ( numnam, namsbc_ana )
+         REWIND( numnam_ref )              ! Namelist namsbc_ana in reference namelist : Analytical surface fluxes
+         READ  ( numnam_ref, namsbc_ana, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ana in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist namsbc_ana in configuration namelist : Analytical surface fluxes
+         READ  ( numnam_cfg, namsbc_ana, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ana in configuration namelist', lwp )
+         WRITE ( numond, namsbc_ana )
          !
          IF(lwp) WRITE(numout,*)' '
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 4147)
@@ -26,8 +26,8 @@
    PUBLIC   sbc_apr    ! routine called in sbcmod
    
-   !                                              !!* namsbc_apr namelist (Atmospheric PRessure) *
-   LOGICAL, PUBLIC ::   ln_apr_obc = .FALSE.      !: inverse barometer added to OBC ssh data 
-   LOGICAL, PUBLIC ::   ln_ref_apr = .FALSE.      !: ref. pressure: global mean Patm (F) or a constant (F)
-   REAL(wp)        ::   rn_pref    = 101000._wp   !  reference atmospheric pressure   [N/m2]
+   !                                !!* namsbc_apr namelist (Atmospheric PRessure) *
+   LOGICAL, PUBLIC ::   ln_apr_obc   !: inverse barometer added to OBC ssh data 
+   LOGICAL, PUBLIC ::   ln_ref_apr   !: ref. pressure: global mean Patm (F) or a constant (F)
+   REAL(wp)        ::   rn_pref      !  reference atmospheric pressure   [N/m2]
 
    REAL(wp), ALLOCATABLE, SAVE, PUBLIC, DIMENSION(:,:) ::   ssh_ib    ! Inverse barometer now    sea surface height   [m]
@@ -65,4 +65,5 @@
       !!
       INTEGER            ::   ierror  ! local integer 
+      INTEGER            ::   ios     ! Local integer output status for namelist read
       !!
       CHARACTER(len=100) ::  cn_dir   ! Root directory for location of ssr files
@@ -75,14 +76,14 @@
       !                                         ! -------------------- !
       IF( kt == nit000 ) THEN                   ! First call kt=nit000 !
-         !                                      ! -------------------- !
-         !                                            !* set file information (default values)
-         ! ... default values (NB: frequency positive => hours, negative => months)
-         !            !   file   ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
-         !            !   name   !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
-         sn_apr = FLD_N( 'patm'  ,    24     ,  'patm'    ,  .false.   , .true.  ,   'yearly'  , ''       , ''       )
-         cn_dir  = './'          ! directory in which the Patm data are 
+      !                                         ! -------------------- !
 
-         REWIND( numnam )                             !* read in namlist namsbc_apr
-         READ  ( numnam, namsbc_apr ) 
+         REWIND( numnam_ref )              ! Namelist namsbc_apr in reference namelist : File for atmospheric pressure forcing
+         READ  ( numnam_ref, namsbc_apr, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_apr in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist namsbc_apr in configuration namelist : File for atmospheric pressure forcing
+         READ  ( numnam_cfg, namsbc_apr, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_apr in configuration namelist', lwp )
+         WRITE ( numond, namsbc_apr )
          !
          ALLOCATE( sf_apr(1), STAT=ierror )           !* allocate and fill sf_sst (forcing structure) with sn_sst
